Name:           jboss-reflect
Epoch:          1
Version:        2.0.2
Release:        %mkrel 8
Summary:        JBoss Reflection
Group:          Development/Java
License:        LGPLv2+
URL:            http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-reflect/tags/2.0.2.GA/ jboss-reflect-2.0.2
# tar cJf jboss-reflect-2.0.2.tar.xz jboss-reflect-2.0.2
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  javassist
BuildRequires:  jboss-common-core
BuildRequires:  jboss-logging
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit

%description
JBoss Reflection.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile the test dir because of missing deps
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%pom_remove_dep org.jboss.test:jboss-test
%pom_remove_dep jboss.profiler.jvmti:jboss-profiler-jvmti

%pom_remove_dep org.jboss.logging:jboss-logging-spi
%pom_add_dep org.jboss.logging:jboss-logging

# javascript not allowed in javadoc. this is a bit weird
find ./ -name "package.html" -exec sed -i "s/javascript/java script/g" {} +

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Fri Feb 03 2017 daviddavid <daviddavid> 1:2.0.2-8.mga6
+ Revision: 1084655
- fix FTBFS

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1:2.0.2-7.mga6
+ Revision: 981084
- First rebuild of the java stack
- sync package jboss-reflect with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1:2.0.2-6.mga5
+ Revision: 811908
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.2-5.mga5
+ Revision: 746849
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jan 27 2014 stormi <stormi> 1:2.0.2-3.mga4
+ Revision: 568390
- rebuild to fix missing x86_64 package

* Tue Jan 07 2014 dmorgan <dmorgan> 1:2.0.2-2.mga4
+ Revision: 565360
- Increase epoch

* Tue Jan 07 2014 dmorgan <dmorgan> 0:2.0.2-2.mga4
+ Revision: 565330
- Add Epoch to ease upgrade ( mga #12217)

* Tue Dec 31 2013 dmorgan <dmorgan> 2.0.2-1.mga4
+ Revision: 563389
- New version
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 355120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 gil <gil> 2.2.1-1.mga2
+ Revision: 204290
- update to 2.2.1.SP1

* Sat Jan 21 2012 gil <gil> 2.0.3-1.mga2
+ Revision: 199120
- imported package jboss-reflect

